Skip to content

Get signed URL of a location that can be shared by tasks

Request

Returns a signed url with read/write access to a location which can be shared between different tasks in a workflow run.

Security
bearer
Path
workflowIdstringrequired

Workflow ID

runIdstringrequired

ID of the workflow run

Headers
data-partition-idstringrequired

desired data partition id

curl -i -X GET \
  'https://as5.api.enterprisedata.slb.com/api/workflow/v1/workflow/{workflowId}/workflowRun/{runId}/getSignedUrl' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'data-partition-id: string'

Responses

Returns signed url

Bodyapplication/json
urlstringrequired
Example:"https://foo.com"
Response
{ "url": "https://foo.com" }